Results 1 to 4 of 4

Thread: Upgrade to 4.0.3 on Suse 9.3

Hybrid View

  1. #1
    Join Date
    Feb 2006
    Location
    Rhauderfehn, Germany
    Posts
    22
    Rep Power
    9

    Default Upgrade to 4.0.3 on Suse 9.3

    I upgraded Zimbra OpenSource from 3.1.x to 4.0.3 on a Suse 9.3 system.

    In the upgrade process I got two very serious error messages, but after first panic they could solved very easily.

    The first problem was the message:

    You appear to be installing packages on a platform different
    than the platform for which they were built

    This platform is UNKNOWN
    Packages found: zimbra-core-4.0.3_GA_406.SuSEES9-20061016141055.i386.rpm
    This may or may not work



    Sleeping one night and I did it anyway - and it works!!

    The second problem was after a long working of the upgrade process the message:

    Fri Oct 20 19:14:26 2006: Migrating ldap data
    Fri Oct 20 19:14:36 2006: Checking ldap status
    Fri Oct 20 19:14:37 2006: Starting ldap
    Fri Oct 20 19:14:44 2006: ldap startup failed with exit code 1
    UPGRADE FAILED - exiting


    Uuups - frustrated - ....

    Why not try as zimbra user the command "zmcontrol start" ?

    The next error message come up:

    Starting ldap...Done.
    FAILED
    sudo: /etc/sudoers is mode 0440, should be 0640
    ERROR - failed to start slapd


    Uuups - what - yes - change mode of /etc/sudoers to 0640 - zmcontrol start

    Every thing works perfect !!!!

  2. #2
    Join Date
    Aug 2006
    Posts
    122
    Rep Power
    9

    Default Good on ya mate

    I am about to do some experimenting on a test box / unsupported OS as well - I think it great that you post your experience and resolution, I'll do the same if I can get mine to work

  3. #3
    Join Date
    Oct 2005
    Location
    Thatcher, AZ
    Posts
    5,606
    Rep Power
    21

    Default

    Glad it's working.
    Let us know how it goes.

  4. #4
    Join Date
    Feb 2006
    Location
    Rhauderfehn, Germany
    Posts
    22
    Rep Power
    9

    Default

    The problem with /etc/sudoers is a known problem. See bug #8315.

    I reinstalled the whole system and opened a second terminal. In this terminal I controlled the mode of /etc/sudoers. It was changed several times during installation to 440.

    It is importend that after all rpm packages are installed and before the installation process will start ldap to change the mode of /etc/sudoers to 640.

    chmod 640 /etc/sudoers (in the second terminal)

    With this workarround the upgrade process was finished successfully.

Similar Threads

  1. Upgrade 3.1.3 to 4.0.3 -FAILED
    By rrojas in forum Installation
    Replies: 4
    Last Post: 05-28-2007, 10:05 AM
  2. Upgrade from 3.1.3 to 4.0.3
    By rrojas in forum Installation
    Replies: 4
    Last Post: 05-22-2007, 09:45 AM
  3. 4.0.3 -> 4.5.1 upgrade
    By Storm16 in forum Installation
    Replies: 1
    Last Post: 02-11-2007, 09:44 PM
  4. Replies: 16
    Last Post: 11-29-2006, 10:36 AM
  5. Does the binary distribution run on SuSE 9.3?
    By getlost in forum Installation
    Replies: 3
    Last Post: 10-03-2005, 02:14 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •